package Constants;
use strict;

sub new {
    my $class_name = shift;
    my $self       = {};
    bless( $self, $class_name );
    return $self;
}

sub constants {
    my $self      = shift;
    my %constants = (
        host               => "localhost",
        user               => "root",
        password           => "CHANGEME",
        password_alternate => "CHANGEME",    # password style for mysqladmin
        database           => "snmptrap",
        statustable        => "trap_status",
        mysqladmin => "/usr/bin/mysqladmin",
        plotter    => "/usr/bin/gnuplot",
        plotinput  => "/etc/trapd/images/status.data",
        plotoutput => "/etc/trapd/images/status.png"
    );
    return %constants;
}

1;
